# Class InputProperty

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents an input property.

    public class InputProperty

Inheritance
  object
  InputProperty

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### InputProperty(string, string)

Initializes a new instance of the InputProperty class.

    public InputProperty(string type, string description)

#### Parameters

`type` string

  The type of the input property.

`description` string

  The description of the input property.

#### Exceptions

ArgumentNullException

  Thrown when the type or description is null.

## Properties

### Description

Gets the description of the input property.

    public string Description { get; init; }

#### Property Value

string

### Type

Gets the type of the input property.

    public string Type { get; init; }

#### Property Value

string